Index: /trunk/src/org/apollo/gui/SampledTrackGraphViewPort.java
===================================================================
--- /trunk/src/org/apollo/gui/SampledTrackGraphViewPort.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/SampledTrackGraphViewPort.java	(revision 1102)
@@ -1,11 +1,7 @@
 package org.apollo.gui;
 
-import java.awt.Color;
 import java.awt.Event;
-import java.awt.Font;
-import java.awt.FontMetrics;
 import java.awt.Graphics;
 import java.awt.Graphics2D;
-import java.awt.Stroke;
 import java.awt.event.ComponentEvent;
 import java.awt.event.ComponentListener;
@@ -17,6 +13,4 @@
 import java.awt.event.MouseWheelEvent;
 import java.awt.event.MouseWheelListener;
-import java.awt.geom.Rectangle2D;
-import java.awt.image.BufferedImage;
 import java.util.LinkedList;
 import java.util.List;
@@ -27,5 +21,12 @@
 import org.apollo.mvc.SubjectChangedEvent;
 import org.apollo.util.AudioMath;
-import org.expeditee.gui.Browser;
+import org.expeditee.core.Colour;
+import org.expeditee.core.Font;
+import org.expeditee.core.Stroke;
+import org.expeditee.core.TextLayout;
+import org.expeditee.core.bounds.AxisAlignedBoxBounds;
+import org.expeditee.gio.EcosystemManager;
+import org.expeditee.gio.swing.SwingConversions;
+import org.expeditee.gio.swing.SwingMiscManager;
 
 public class SampledTrackGraphViewPort extends SampledTrackGraphView
@@ -43,12 +44,12 @@
 	private static final int ZOOM_ADJUSTMENT_MODE_MODIFYZOOM = 3;
 	
-	public static final Color ZOOM_BACKING_COLOR_NORMAL = new Color(251, 255, 168);
-	private static final Color ZOOM_BACKING_COLOR_HIGHLIGHT = new Color(255, 255, 224);
-	private static final Color ZOOM_BACKING_BORDER_COLOR = new Color(215, 219, 144);
+	public static final Colour ZOOM_BACKING_COLOR_NORMAL = Colour.FromRGB255(251, 255, 168);
+	private static final Colour ZOOM_BACKING_COLOR_HIGHLIGHT = Colour.FromRGB255(255, 255, 224);
+	private static final Colour ZOOM_BACKING_BORDER_COLOR = Colour.FromRGB255(215, 219, 144);
 	public static final Stroke ZOOM_BACKING_BORDER_STROKE = Strokes.SOLID_1;
 	
-	public static final Font TIME_HELPER_FONT = new Font("Arial", Font.PLAIN, 12);
-	public static final Color TIME_HELPER_COLOR = new Color(132, 175, 201);
-	public static final Color TIME_HELPER_BORDERCOLOR = new Color(111, 146, 168);
+	public static final Font TIME_HELPER_FONT = new Font("Arial", Font.Style.PLAIN, 12);
+	public static final Colour TIME_HELPER_COLOR = Colour.FromRGB255(132, 175, 201);
+	public static final Colour TIME_HELPER_BORDERCOLOR = Colour.FromRGB255(111, 146, 168);
 	
 	// displays the current zoom or the new zoom-selection
@@ -67,8 +68,9 @@
 	private List<ZoomChangeListener> zoomChangeListeners = new LinkedList<ZoomChangeListener>();
 
-	public SampledTrackGraphViewPort() {
+	public SampledTrackGraphViewPort()
+	{
 		super();
 		
-		setBackColor(new Color(250, 250, 250), new Color(230, 230, 230));
+		setBackColor(SwingConversions.toSwingColor(Colour.FromRGB255(250, 250, 250)), SwingConversions.toSwingColor(Colour.FromRGB255(230, 230, 230)));
 		setAlwaysFullView(true);
 
@@ -531,10 +533,9 @@
 		void paint(Graphics g) {
 			
-			color =  (zoomAdjustmentMode == ZOOM_ADJUSTMENT_MODE_NONE) ?
-					ZOOM_BACKING_COLOR_NORMAL : ZOOM_BACKING_COLOR_HIGHLIGHT;
+			color = SwingConversions.toSwingColor((zoomAdjustmentMode == ZOOM_ADJUSTMENT_MODE_NONE) ? ZOOM_BACKING_COLOR_NORMAL : ZOOM_BACKING_COLOR_HIGHLIGHT);
 			super.paint(g);
 			
-			g.setColor(ZOOM_BACKING_BORDER_COLOR);
-			((Graphics2D)g).setStroke(ZOOM_BACKING_BORDER_STROKE);
+			g.setColor(SwingConversions.toSwingColor(ZOOM_BACKING_BORDER_COLOR));
+			((Graphics2D)g).setStroke(SwingConversions.toSwingStroke(ZOOM_BACKING_BORDER_STROKE));
 			g.drawLine(left, 0, left, getHeight());
 			g.drawLine(left + width, 0, left + width, getHeight());
@@ -542,20 +543,20 @@
 		}
 		
-		void postPaint(Graphics g) {
-			// Paint little helper labels when ajusting view port
-			if (startTimeHelpLabel != null && endTimeHelpLabel != null &&
-					zoomAdjustmentMode != ZOOM_ADJUSTMENT_MODE_NONE) {
-				
-				g.setColor(TIME_HELPER_COLOR);
+		void postPaint(Graphics g)
+		{
+			// Paint little helper labels when adjusting view port
+			if (startTimeHelpLabel != null && endTimeHelpLabel != null && zoomAdjustmentMode != ZOOM_ADJUSTMENT_MODE_NONE) {
+				
+				g.setColor(SwingConversions.toSwingColor(TIME_HELPER_COLOR));
 				g.fillRect(labelStartX - 2, labelStartY - labelHeight + 2, labelWidth + 3, labelHeight);
 				g.fillRect(labelEndX - 2, labelEndY  - labelHeight + 2, labelWidth + 3, labelHeight);
 				
-				g.setColor(TIME_HELPER_BORDERCOLOR);
-				((Graphics2D)g).setStroke(ZOOM_BACKING_BORDER_STROKE);
+				g.setColor(SwingConversions.toSwingColor(TIME_HELPER_BORDERCOLOR));
+				((Graphics2D)g).setStroke(SwingConversions.toSwingStroke(ZOOM_BACKING_BORDER_STROKE));
 				g.drawRect(labelStartX - 2, labelStartY - labelHeight + 2, labelWidth + 3, labelHeight);
 				g.drawRect(labelEndX - 2, labelEndY  - labelHeight + 2, labelWidth + 3, labelHeight);
 
-				g.setFont(TIME_HELPER_FONT);
-				g.setColor(Color.BLACK);
+				g.setFont(SwingMiscManager.getIfUsingSwingFontManager().getInternalFont(TIME_HELPER_FONT));
+				g.setColor(SwingConversions.toSwingColor(Colour.BLACK));
 				g.drawString(startTimeHelpLabel, labelStartX, labelStartY);
 				g.drawString(endTimeHelpLabel, labelEndX, labelEndY);
@@ -603,13 +604,15 @@
 				
 				// Create a temp graphics for centered label positioning
-				if (Browser._theBrowser != null && Browser._theBrowser.g != null) {
+				/*if (Browser._theBrowser != null && Browser._theBrowser.g != null) {
 					g = Browser._theBrowser.g.create();
 				} else {
 					g = new BufferedImage(1,1,BufferedImage.TYPE_BYTE_INDEXED).getGraphics();
-				}
+				}*/
 		
 				// Position labels
-				FontMetrics fm   = g.getFontMetrics(TIME_HELPER_FONT);
-				Rectangle2D rect = fm.getStringBounds(startTimeHelpLabel, g);
+				//FontMetrics fm   = g.getFontMetrics(TIME_HELPER_FONT);
+				//Rectangle2D rect = fm.getStringBounds(startTimeHelpLabel, g);
+				TextLayout layout = EcosystemManager.getTextLayoutManager().layoutStringSimple(startTimeHelpLabel, TIME_HELPER_FONT);
+				AxisAlignedBoxBounds rect = layout.getPixelBounds(0, 0);
 				
 				labelWidth = (int)rect.getWidth();
Index: /trunk/src/org/apollo/gui/Strokes.java
===================================================================
--- /trunk/src/org/apollo/gui/Strokes.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/Strokes.java	(revision 1102)
@@ -1,6 +1,5 @@
 package org.apollo.gui;
 
-import java.awt.BasicStroke;
-import java.awt.Stroke;
+import org.expeditee.core.Stroke;
 
 public class Strokes {
@@ -9,6 +8,6 @@
 	}
 	
-	public static final Stroke SOLID_1 = new BasicStroke(1.0f);
-	public static final Stroke SOLID_2 = new BasicStroke(2.0f);
+	public static final Stroke SOLID_1 = new Stroke(1.0f);
+	public static final Stroke SOLID_2 = new Stroke(2.0f);
 	
 }
Index: /trunk/src/org/apollo/gui/TimeAxis.java
===================================================================
--- /trunk/src/org/apollo/gui/TimeAxis.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/TimeAxis.java	(revision 1102)
@@ -1,17 +1,18 @@
 package org.apollo.gui;
 
-import java.awt.Color;
-import java.awt.Font;
-import java.awt.FontMetrics;
-import java.awt.GradientPaint;
-import java.awt.Graphics;
-import java.awt.Graphics2D;
-import java.awt.Stroke;
-import java.awt.geom.Rectangle2D;
-import java.awt.image.BufferedImage;
 import java.util.LinkedList;
 
 import org.apollo.ApolloSystem;
-import org.expeditee.gui.Browser;
+import org.expeditee.core.Colour;
+import org.expeditee.core.Dimension;
+import org.expeditee.core.Fill;
+import org.expeditee.core.Font;
+import org.expeditee.core.GradientFill;
+import org.expeditee.core.Point;
+import org.expeditee.core.Stroke;
+import org.expeditee.core.TextLayout;
+import org.expeditee.gio.EcosystemManager;
+import org.expeditee.gio.GraphicsManager;
+import org.expeditee.gio.swing.SwingConversions;
 
 /**
@@ -23,11 +24,9 @@
 public class TimeAxis {
 	
-	private static final long serialVersionUID = 1L;
-	
-	public static final Font TIME_BAR_FONT = new Font("Arial", Font.PLAIN, 14);
+	public static final Font TIME_BAR_FONT = new Font("Arial", Font.Style.PLAIN, 14);
 	private static final Stroke TICK_STROKE = Strokes.SOLID_1;
 	
-	private static final Color MAJOR_TICK_COLOR = Color.BLACK;
-	private static final Color MINOR_TICK_COLOR = new Color(0.4f, 0.4f, 0.4f);
+	private static final Colour MAJOR_TICK_COLOR = Colour.BLACK;
+	private static final Colour MINOR_TICK_COLOR = new Colour(0.4f, 0.4f, 0.4f);
 	
 	private static final int DESIRED_MAJOR_TICK_PIXEL_SPACING = 100;
@@ -43,5 +42,6 @@
 	private long totalTrackMSLength = 0;
 
-	public TimeAxis() {
+	public TimeAxis()
+	{
 	}
 
@@ -51,5 +51,6 @@
 			long timeLengthSamples,
 			long totalTrackMSLength, 
-			int width) {
+			int width)
+	{
 
 		assert(width > 0);
@@ -146,40 +147,20 @@
 		LinkedList<Integer> majorTickLabelPositions = new LinkedList<Integer>();
 	
-		Graphics g = null;
-		try {
-		
-			
-			// Create a temp graphics for centered label positioning
-			if (Browser._theBrowser != null && Browser._theBrowser.g != null) {
-				g = Browser._theBrowser.g.create();
-			} else {
-				g = new BufferedImage(1,1,BufferedImage.TYPE_BYTE_INDEXED).getGraphics();
-			}
-			
-			do {
-	
-				majorTickPositions.add(new Integer((int)currentTickX));
-
-				String label = createSpecificTimeLabel((long)currentTickTime, timeAggregation);
-				
-				majorTickLabels.add(label);
-
-				// Center label
-				FontMetrics fm   = g.getFontMetrics(TIME_BAR_FONT);
-				Rectangle2D rect = fm.getStringBounds(label, g);
-				int textWidth  = (int)(rect.getWidth());
-				
-				majorTickLabelPositions.add(new Integer((int)currentTickX - (textWidth >> 1)));
-
-				currentTickX += majorTickPixelSpacing;
-				currentTickTime += timeAggregation;
-	
-			} while (currentTickX < width);
-
-			
-		} finally {
-			if (g != null)
-				g.dispose();
-		}
+		do {
+			majorTickPositions.add(new Integer((int)currentTickX));
+
+			String label = createSpecificTimeLabel((long)currentTickTime, timeAggregation);
+			
+			majorTickLabels.add(label);
+
+			// Center label
+			int textWidth = EcosystemManager.getTextLayoutManager().layoutStringSimple(label, TIME_BAR_FONT).getPixelBounds(0, 0).getWidth();
+			
+			majorTickLabelPositions.add(new Integer((int)currentTickX - (textWidth >> 1)));
+
+			currentTickX += majorTickPixelSpacing;
+			currentTickTime += timeAggregation;
+			
+		} while (currentTickX < width);
 		
 		this.majorTickLabels = majorTickLabels.toArray(new String[0]);
@@ -227,6 +208,6 @@
 	
 	
-	public String createSpecificTimeLabel(long atTime, double timeAggregation) {
-
+	public String createSpecificTimeLabel(long atTime, double timeAggregation)
+	{
 		Long min = null;
 		Long sec = null;
@@ -261,6 +242,6 @@
 	}
 	
-	public static String createTimeLabel(Long min, Long sec, Long ms) {
-		
+	public static String createTimeLabel(Long min, Long sec, Long ms)
+	{
 		if (min == null && sec == null && ms != null) {
 			return ms + "ms";
@@ -314,5 +295,5 @@
 	}
 	
-	public void paint(Graphics g, int x, int y, int height, Color backgroundColor) {
+	public void paint(int x, int y, int height, Colour backgroundColor) {
 		
 		int majorTickHeight = height / 2;
@@ -320,52 +301,42 @@
 
 		// Draw backing
+		Fill backingFill;
 		if (ApolloSystem.useQualityGraphics) {
-			
-			GradientPaint gp = new GradientPaint(
-					x + (width / 2), y + (int)(height * 0.5), backgroundColor,
-					x + (width / 2), y, SampledTrackGraphView.DEFAULT_BACKGROUND_HIGHTLIGHTS_COLOR);
-			((Graphics2D)g).setPaint(gp);
-			
+			backingFill = new GradientFill(backgroundColor, new Point(x + (width / 2), y + (int)(height * 0.5)), SwingConversions.fromSwingColor(SampledTrackGraphView.DEFAULT_BACKGROUND_HIGHTLIGHTS_COLOR), new Point(x + (width / 2), y));
 		} else {
-			g.setColor(backgroundColor);
-		}
-		
-		g.fillRect(x, y, width, height);
-		
-		g.setFont(TIME_BAR_FONT);
+			backingFill = new Fill(backgroundColor);
+		}
+		
+		GraphicsManager gm = EcosystemManager.getGraphicsManager();
+		
+		gm.drawRectangle(new Point(x, y), new Dimension(width, height), 0.0, backingFill, null, null, null);
 		
 		if (majorTickXPositions != null) {
-
-			((Graphics2D)g).setStroke(TICK_STROKE);
-			
-			g.setColor(MAJOR_TICK_COLOR);
 			// Draw Major ticks and labels
 			for (int i = 0; i < majorTickLabels.length; i++) {
 				
 				// Label
-				g.drawString(
+				gm.drawString(
 						majorTickLabels[i], 
-						x + majorTickLabelXPositions[i], 
-						y + height - 2);
+						new Point(x + majorTickLabelXPositions[i], y + height - 2),
+						TIME_BAR_FONT,
+						MAJOR_TICK_COLOR);
 				
 				// Tick
-				g.drawLine(
-						x + majorTickXPositions[i], 
+				gm.drawLine(x + majorTickXPositions[i], 
 						y, 
 						x + majorTickXPositions[i], 
-						y + majorTickHeight);
+						y + majorTickHeight, MAJOR_TICK_COLOR, TICK_STROKE);
 				
 			}
-			
-			g.setColor(MINOR_TICK_COLOR);
 			
 			// Draw minor ticks
 			if (minorTickXPositions != null) {
 				for (int tx : minorTickXPositions) {
-					g.drawLine(
+					gm.drawLine(
 							x + tx, 
 							y, 
 							x + tx, 
-							y + minorTickHeight);
+							y + minorTickHeight, MINOR_TICK_COLOR, TICK_STROKE);
 				}
 			}
@@ -373,20 +344,15 @@
 		} else if (alternateLabel != null) {
 			
-			g.setColor(Color.BLACK);
-			
-			FontMetrics fm   = g.getFontMetrics(TIME_BAR_FONT);
-			Rectangle2D rect = fm.getStringBounds(alternateLabel, g);
-			int textWidth  = (int)(rect.getWidth());
-			
-			g.drawString(
-					alternateLabel, 
-					x + ((width >> 1) - (textWidth >> 1)), 
-					y + (height - 2));
-
-		}
-		
-	}
-
-	public int getWidth() {
+			TextLayout layout = EcosystemManager.getTextLayoutManager().layoutStringSimple(alternateLabel, TIME_BAR_FONT);
+
+			int textWidth  = layout.getPixelBounds(0, 0).getWidth();
+			gm.drawTextLayout(layout, new Point(x + ((width >> 1) - (textWidth >> 1)), y + (height - 2)), Colour.BLACK);
+			
+		}
+		
+	}
+
+	public int getWidth()
+	{
 		return width;
 	}
Index: /trunk/src/org/apollo/gui/TimeAxisPanel.java
===================================================================
--- /trunk/src/org/apollo/gui/TimeAxisPanel.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/TimeAxisPanel.java	(revision 1102)
@@ -12,4 +12,5 @@
 
 import org.apollo.util.AudioMath;
+import org.expeditee.gio.swing.SwingConversions;
 
 /**
@@ -30,5 +31,6 @@
 	private TimeAxis timeAxis = new TimeAxis();
 	
-	public TimeAxisPanel(SampledTrackGraphView graph) {
+	public TimeAxisPanel(SampledTrackGraphView graph)
+	{
 		assert (graph != null);
 		
@@ -37,19 +39,22 @@
 		
 		// Auto-adjust scale when component resizes.
-		this.addComponentListener(new ComponentListener() {
-
-			public void componentHidden(ComponentEvent e) {
+		this.addComponentListener(new ComponentListener()
+		{
+			public void componentHidden(ComponentEvent e)
+			{
 			}
 
-			public void componentMoved(ComponentEvent e) {
+			public void componentMoved(ComponentEvent e)
+			{
 			}
 
-			public void componentResized(ComponentEvent e) {
+			public void componentResized(ComponentEvent e)
+			{
 				updateAxis();
 			}
 
-			public void componentShown(ComponentEvent e) {
+			public void componentShown(ComponentEvent e)
+			{
 			}
-		
 		});
 		
@@ -58,25 +63,22 @@
 	
 
-	public void timelineChanged(Event e) {
+	public void timelineChanged(Event e)
+	{
 		 updateAxis();
 	}
 	
 
-	private void updateAxis() {
-		
+	private void updateAxis()
+	{
 		// Is track model even set yet?
-		if (observedSubject.getSampledTrackModel() == null ||
-				getWidth() == 0) return;
+		if (observedSubject.getSampledTrackModel() == null || getWidth() == 0) return;
 		
 		AudioFormat format = observedSubject.getSampledTrackModel().getFormat();
 		
-		long startTimeMS = AudioMath.framesToMilliseconds(
-				observedSubject.getTimeScaleStart(), format);
+		long startTimeMS = AudioMath.framesToMilliseconds(observedSubject.getTimeScaleStart(), format);
 		
-		long timeLengthMS = AudioMath.framesToMilliseconds(
-				observedSubject.getTimeScaleLength(), format);
+		long timeLengthMS = AudioMath.framesToMilliseconds(observedSubject.getTimeScaleLength(), format);
 		
-		long totalTrackMSLength = AudioMath.framesToMilliseconds(
-				observedSubject.getSampledTrackModel().getFrameCount(), format);
+		long totalTrackMSLength = AudioMath.framesToMilliseconds(observedSubject.getSampledTrackModel().getFrameCount(), format);
 		
 		timeAxis.setAxis(
@@ -92,6 +94,7 @@
 	
 	@Override
-	public void paint(Graphics g) {
-		timeAxis.paint(g, 0, 0, getHeight(), getBackground());
+	public void paint(Graphics g)
+	{
+		timeAxis.paint(0, 0, getHeight(), SwingConversions.fromSwingColor(getBackground()));
 	}
 
Index: /trunk/src/org/apollo/gui/TimelineChangeListener.java
===================================================================
--- /trunk/src/org/apollo/gui/TimelineChangeListener.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/TimelineChangeListener.java	(revision 1102)
@@ -3,5 +3,6 @@
 import java.awt.Event;
 
-public interface TimelineChangeListener {
+public interface TimelineChangeListener
+{
 	void timelineChanged(Event e);
 }
Index: /trunk/src/org/apollo/gui/VolumeControlButton.java
===================================================================
--- /trunk/src/org/apollo/gui/VolumeControlButton.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/VolumeControlButton.java	(revision 1102)
@@ -1,10 +1,8 @@
 package org.apollo.gui;
 
-import java.awt.Color;
 import java.awt.Dimension;
 import java.awt.GridBagConstraints;
 import java.awt.GridBagLayout;
 import java.awt.Insets;
-import java.awt.Point;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
@@ -12,6 +10,6 @@
 import java.util.List;
 
-import javax.swing.Icon;
 import javax.swing.JButton;
+import javax.swing.JPanel;
 import javax.swing.JSlider;
 import javax.swing.event.ChangeEvent;
@@ -19,6 +17,12 @@
 
 import org.apollo.io.IconRepository;
+import org.expeditee.core.Colour;
+import org.expeditee.core.Image;
+import org.expeditee.core.bounds.AxisAlignedBoxBounds;
+import org.expeditee.gio.swing.SwingConversions;
+import org.expeditee.gio.swing.SwingMiscManager;
 import org.expeditee.gui.Popup;
 import org.expeditee.gui.PopupManager;
+import org.expeditee.gui.PopupManager.ExpandShrinkAnimator;
 
 /**
@@ -40,6 +44,6 @@
 	private String volumeTag;
 	
-	private Color SELECTED_BACKCOLOR = Color.GRAY;
-	private Color UNSELECTED_BACKCOLOR = null;
+	private Colour SELECTED_BACKCOLOR = Colour.GRAY;
+	private Colour UNSELECTED_BACKCOLOR = null;
 	
 	private static final int VOL_ADJUSTMENT = 10;
@@ -52,9 +56,10 @@
 	 * 		E.G. "Master Volume".
 	 */
-	public VolumeControlButton(String volumeTag) {
+	public VolumeControlButton(String volumeTag)
+	{
 		super();
-		UNSELECTED_BACKCOLOR = getBackground();
+		UNSELECTED_BACKCOLOR = SwingConversions.fromSwingColor(getBackground());
 		vcPopup = new VolumeControlPopup();
-		vcPopup.setVisible(false);
+		PopupManager.getInstance().add(vcPopup);
 		this.volumeTag = volumeTag;
 		toggleSelectionState(false);
@@ -68,10 +73,12 @@
 	 * @param listener
 	 */
-	public void addVolumeChangeListener(ChangeListener listener) {
+	public void addVolumeChangeListener(ChangeListener listener)
+	{
 		assert(listener != null);
 		changeListeners.add(listener);
 	}
 	
-	private void fireVolumeChanged() {
+	private void fireVolumeChanged()
+	{
 		for (ChangeListener a : changeListeners) {
 			a.stateChanged(new ChangeEvent(this));
@@ -79,7 +86,11 @@
 	}
 
-	private void toggleSelectionState(boolean selected) {
-		if (selected) setBackground(SELECTED_BACKCOLOR);
-		else setBackground(UNSELECTED_BACKCOLOR);
+	private void toggleSelectionState(boolean selected)
+	{
+		if (selected) {
+			setBackground(SwingConversions.toSwingColor(SELECTED_BACKCOLOR));
+		} else {
+			setBackground(SwingConversions.toSwingColor(UNSELECTED_BACKCOLOR));
+		}
 	}
 	
@@ -89,17 +100,12 @@
 	 */
 	@Override
-	protected void fireActionPerformed(ActionEvent event) {
+	protected void fireActionPerformed(ActionEvent event)
+	{
 		super.fireActionPerformed(event);
 		
-		if (!vcPopup.isVisible()) { // show popup
-			
+		if (!vcPopup.isShowing()) { // show popup
 			vcPopup.showPopup();
-
 		} else { // hide popup
-
-			PopupManager.getInstance().hidePopup(vcPopup, 
-					PopupManager.getInstance().new ExpandShrinkAnimator(
-							VolumeControlButton.this.getBounds(),
-							Color.LIGHT_GRAY));
+			vcPopup.hide();
 		}
 	}
@@ -133,5 +139,6 @@
 	 * @return
 	 */
-	public void setMuted(boolean mute) {
+	public void setMuted(boolean mute)
+	{
 		muted = mute;
 		updateButtonGUI();
@@ -139,7 +146,7 @@
 		
 
-	private void updateButtonGUI() {
-		
-		Icon newIcon;
+	private void updateButtonGUI()
+	{
+		Image newIcon;
 		if(muted)  
 				newIcon = IconRepository.getIcon("volmute.png");
@@ -153,13 +160,18 @@
 				newIcon = IconRepository.getIcon("vol100.png");
 
-		if (newIcon != getIcon()) setIcon(newIcon);
+		if (newIcon != getIcon()) SwingMiscManager.setJButtonIcon(this, newIcon);
 		
 		if (muted) {
-			if (volumeTag != null) setToolTipText(volumeTag + ": Muted");
-			else setToolTipText("Muted");
-		}
-		else {
-			if (volumeTag != null) setToolTipText(volumeTag + ": " + volumeValue + "%");
-			else setToolTipText(volumeValue + "%");
+			if (volumeTag != null) {
+				setToolTipText(volumeTag + ": Muted");
+			} else {
+				setToolTipText("Muted");
+			}
+		} else {
+			if (volumeTag != null) {
+				setToolTipText(volumeTag + ": " + volumeValue + "%");
+			} else {
+				setToolTipText(volumeValue + "%");
+			}
 		}
 	}
@@ -169,5 +181,6 @@
 	 * @return The volume value of the gui
 	 */
-	public int getVolumeValue() {
+	public int getVolumeValue()
+	{
 		return volumeValue;
 	}
@@ -178,12 +191,12 @@
 	 * @return The mute value of the gui
 	 */
-	public boolean getMuteValue() {
+	public boolean getMuteValue()
+	{
 		return muted;
 	}
 
-	private class VolumeControlPopup extends Popup {
-		
-		private static final long serialVersionUID = 1L;
-	
+	private class VolumeControlPopup extends Popup
+	{
+		private JPanel panel;
 		private JSlider volumeSlider;
 		private JButton increaseButton;
@@ -193,6 +206,9 @@
 		 * Constructor.
 		 */
-		public VolumeControlPopup() {
-			super();
+		public VolumeControlPopup()
+		{
+			super(new ExpandShrinkAnimator());
+			
+			panel = new JPanel();
 
 			volumeSlider = new JSlider(JSlider.VERTICAL);
@@ -226,5 +242,6 @@
 		}
 		
-		private void onIncrementVolume() {
+		private void onIncrementVolume()
+		{
 			if (setVolumeValue(volumeValue + VOL_ADJUSTMENT)) {
 				fireVolumeChanged();
@@ -232,5 +249,6 @@
 		}
 		
-		private void onDeincrementVolume() {
+		private void onDeincrementVolume()
+		{
 			if (setVolumeValue(volumeValue - VOL_ADJUSTMENT)) {
 				fireVolumeChanged();
@@ -238,5 +256,6 @@
 		}
 		
-		private void onVolumeSliderChanged() {
+		private void onVolumeSliderChanged()
+		{
 			if (setVolumeValue(volumeSlider.getValue())) {
 				fireVolumeChanged();
@@ -244,5 +263,6 @@
 		}
 		
-		private void updatePopupGUI() {
+		private void updatePopupGUI()
+		{
 			volumeSlider.setValue(volumeValue);
 			increaseButton.setEnabled(volumeValue < 100);
@@ -250,7 +270,7 @@
 		}
 		
-		private void prepLayout() {
-			
-			if (this.getComponents().length == 0) {
+		private void prepLayout()
+		{
+			if (panel.getComponents().length == 0) {
 				
 				final int INNER_SPACING = 0;
@@ -286,5 +306,5 @@
 				c.insets = new Insets(OUTER_SPACING,OUTER_SPACING,INNER_SPACING,OUTER_SPACING);
 				c.ipady = YPAD;
-				this.add(increaseButton, c);
+				panel.add(increaseButton, c);
 				
 				c = new GridBagConstraints();
@@ -294,5 +314,5 @@
 				c.insets = new Insets(INNER_SPACING,OUTER_SPACING,INNER_SPACING,OUTER_SPACING);
 				c.ipady = YPAD;
-				this.add(volumeSlider, c);
+				panel.add(volumeSlider, c);
 				
 				c = new GridBagConstraints();
@@ -302,16 +322,46 @@
 				c.insets = new Insets(INNER_SPACING,OUTER_SPACING,OUTER_SPACING,OUTER_SPACING);
 				c.ipady = YPAD;
-				this.add(decreaseButton, c);
-				
-				setSize(targetWidth, volumeSlider.getHeight() + (2 * buttonSizes.height) 
-						+ (2 * OUTER_SPACING));
-				this.doLayout();
-			}
-
-		}
-		
-		private void showPopup() {
+				panel.add(decreaseButton, c);
+				
+				setSize(targetWidth, volumeSlider.getHeight() + (2 * buttonSizes.height) + (2 * OUTER_SPACING));
+				panel.doLayout();
+			}
+
+		}
+		
+		private void showPopup()
+		{
 			prepLayout();
-
+			show();
+		}
+
+		@Override
+		public void onHide() {
+			// Toggle state = volume popup showing
+			toggleSelectionState(false);
+		}
+
+		@Override
+		public void onShow() {
+			// Toggle state = volume popup showing
+			toggleSelectionState(true);
+		}
+
+		@Override
+		public boolean shouldConsumeBackClick()
+		{
+			return true;
+		}
+
+		@Override
+		protected void paintInternal()
+		{
+			// TODO Auto-generated method stub
+			
+		}
+
+		@Override
+		public AxisAlignedBoxBounds getFullBounds()
+		{
 			// Determine where popup should show
 			int x = VolumeControlButton.this.getX();
@@ -321,34 +371,7 @@
 				y = VolumeControlButton.this.getY() + VolumeControlButton.this.getHeight() + 2;
 			}
-
-			PopupManager.getInstance().showPopup(
-					this, 
-					new Point(x, y), 
-					VolumeControlButton.this,
-					PopupManager.getInstance().new ExpandShrinkAnimator(
-							VolumeControlButton.this.getBounds(),
-							Color.LIGHT_GRAY));
-		}
-
-		@Override
-		public void onHide() {
-			// Toggle state = volume popup showing
-			toggleSelectionState(false);
-		}
-
-		@Override
-		public void onShow() {
-			// Toggle state = volume popup showing
-			toggleSelectionState(true);
-		}
-
-		@Override
-		public boolean shouldConsumeBackClick() {
-			return true;
-		}
-		
-		
-		
-	}
-
+			
+			return new AxisAlignedBoxBounds(x, y, VolumeControlButton.this.getBounds().width, VolumeControlButton.this.getBounds().height);
+		}
+	}
 }
Index: /trunk/src/org/apollo/gui/WaveFormRenderProccessingUnit.java
===================================================================
--- /trunk/src/org/apollo/gui/WaveFormRenderProccessingUnit.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/WaveFormRenderProccessingUnit.java	(revision 1102)
@@ -2,5 +2,4 @@
 
 import java.awt.Graphics2D;
-import java.awt.image.BufferedImage;
 import java.util.LinkedList;
 
@@ -10,4 +9,7 @@
 import org.apollo.mvc.AbstractSubject;
 import org.apollo.mvc.SubjectChangedEvent;
+import org.expeditee.core.Image;
+import org.expeditee.gio.swing.SwingConversions;
+import org.expeditee.gio.swing.SwingMiscManager;
 
 public class WaveFormRenderProccessingUnit {
@@ -176,10 +178,10 @@
 					bufferWidth = currentTask.imageBuffer.getWidth();
 					
-					g = currentTask.imageBuffer.createGraphics();
-	
-					g.setStroke(Strokes.SOLID_1);
+					g = SwingMiscManager.getIfUsingSwingImageManager().getImageGraphics(currentTask.imageBuffer);
+	
+					g.setStroke(SwingConversions.toSwingStroke(Strokes.SOLID_1));
 
 					// Clear the buffer with transparent pixels
-					g.setBackground(ApolloColorIndexedModels.KEY_COLOR);
+					g.setBackground(SwingConversions.toSwingColor(ApolloColorIndexedModels.KEY_COLOR));
 					g.clearRect(0, 0, bufferWidth, currentTask.imageBuffer.getHeight());
 					
@@ -233,5 +235,5 @@
 					synchronized(currentTask.imageBuffer) { 
 						
-						g.setColor(ApolloColorIndexedModels.WAVEFORM_COLOR);
+						g.setColor(SwingConversions.toSwingColor(ApolloColorIndexedModels.WAVEFORM_COLOR));
 						
 						if (aggregationSize == 1) {
@@ -344,5 +346,5 @@
 		private static final int STATE_STOPPED = 3;
 		
-		private BufferedImage imageBuffer; // nullified when stopped.
+		private Image imageBuffer; // nullified when stopped.
 		private byte[] audioBytes; // nullified when stopped. - Arrays (not contents) are immutable so no need to worry about threading issues with indexes
 		private final int startFrame;
@@ -352,5 +354,5 @@
 		
 		public WaveFormRenderTask(
-				BufferedImage imageBuffer, 
+				Image imageBuffer, 
 				byte[] audioBytes, 
 				AudioFormat format,
Index: /trunk/src/org/apollo/gui/WaveFormRenderer.java
===================================================================
--- /trunk/src/org/apollo/gui/WaveFormRenderer.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/WaveFormRenderer.java	(revision 1102)
@@ -13,5 +13,5 @@
 	 * 
 	 * A single height is calculated for one or more frames, which is specified by the
-	 * aggregationSize. The way in which waveforms are rendered is implementation dependant.
+	 * aggregationSize. The way in which waveforms are rendered is implementation dependent.
 	 * 
 	 * @param audioBytes
@@ -22,8 +22,8 @@
 	 * 
 	 * @param frameLength
-	 * 		The amount of frames to consider for rendering.
+	 * 		The number of frames to consider for rendering.
 	 * 
 	 * @param aggregationSize
-	 * 		The amout of frames to aggregate.
+	 * 		The amount of frames to aggregate.
 	 * 
 	 * @return 
Index: /trunk/src/org/apollo/gui/ZoomChangeListener.java
===================================================================
--- /trunk/src/org/apollo/gui/ZoomChangeListener.java	(revision 1101)
+++ /trunk/src/org/apollo/gui/ZoomChangeListener.java	(revision 1102)
@@ -3,5 +3,6 @@
 import java.awt.Event;
 
-public interface ZoomChangeListener {
+public interface ZoomChangeListener
+{
 	void zoomChanged(Event e);
 }
Index: /trunk/src/org/apollo/io/AudioIO.java
===================================================================
--- /trunk/src/org/apollo/io/AudioIO.java	(revision 1101)
+++ /trunk/src/org/apollo/io/AudioIO.java	(revision 1102)
@@ -167,8 +167,5 @@
 		if (!sourceFormat.getEncoding().toString().startsWith("PCM")) {
 			
-			AudioFormat.Encoding conversionEncoding = 
-				(sourceFormat.getSampleSizeInBits() == 8) ?
-				AudioFormat.Encoding.PCM_UNSIGNED :
-				AudioFormat.Encoding.PCM_SIGNED;
+			AudioFormat.Encoding conversionEncoding = (sourceFormat.getSampleSizeInBits() == 8) ? AudioFormat.Encoding.PCM_UNSIGNED : AudioFormat.Encoding.PCM_SIGNED;
 			
 			aisConverter = AudioSystem.getAudioInputStream(conversionEncoding, aisConverter);
